Bug 596234 - NetworkManager shows dns ip in reverse format
Summary: NetworkManager shows dns ip in reverse format
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager   
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 12:36 UTC by Mohammed Arafa
Modified: 2010-05-28 15:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 15:07:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
f13 network manager shows dns ip is reversed (358.90 KB, image/png)
2010-05-26 12:45 UTC, Mohammed Arafa
no flags Details

Description Mohammed Arafa 2010-05-26 12:36:10 UTC
Description of problem:
i set up a f13 guest this morning and the network was acting strangely. after a long while i came up with the attached snapshot.

note that /etc/resolv.conf has the ip 192.168.122.1 as my nameserver

also must say that i would be able to resolve for like a minute then it wouldnt for something like 5 to 10 minutes (i think depending on the dhcp lease) this behaviour was cyclic.

tested in kde and gnome.

i had a pretty long stretch of time where it was resolving pretty good.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Mohammed Arafa 2010-05-26 12:45:27 UTC
Created attachment 416804 [details]
f13 network manager shows dns ip is reversed

Comment 2 Mohammed Arafa 2010-05-26 13:05:01 UTC
ummm... i did a yum groupinstall on virtualisation of the f13 guest if thats any help.
but that still doesnt explain why the ip is being reversed

Comment 3 Cole Robinson 2010-05-27 21:32:38 UTC
I don't think this is virt-manager or libvirt related. Re-assigning to NetworkManager for triaging.

What's the output of rpm -qa | grep NetworkManager inside the VM?

Comment 4 Jirka Klimes 2010-05-28 10:01:00 UTC
The reversed addresses issue is just displaying bug in kdenetworkmanager applet; corrected 4 weeks ago, BTW:
http://websvn.kde.org/trunk/kdereview/networkmanagement/monolithic/connectioninfoipv4tab.cpp?r1=1073633&r2=1120392

So I think the bug should be closed. If you have another issue, please describe in more detail and please include /var/log/messages.


Note You need to log in before you can comment on or make changes to this bug.